// package jtalk;

import java.net.*;
import java.io.*;

public class createServerSocket extends Thread
{
	int ServerPort=0;
	ServerSocket theServerSocket;
	Socket theSocket=null;
	chat theJTalkGUI;
	ctl_msg request;
	negotiator parent;
	boolean DEBUG;
	

	public createServerSocket(negotiator parent, ctl_msg request, boolean DEBUG)
	{
	    this.DEBUG=DEBUG;
		this.parent=parent;
		this.request=request;
		try
		{
			this.theServerSocket=new ServerSocket(0);
			this.ServerPort=theServerSocket.getLocalPort();
		}
		catch (IOException e) 
		{
		    if (DEBUG)
			    System.err.println("Couldn't create server socket because of IOException "+e);
		}		  
	}
	
	public void run()
	{
		try
		{
			theSocket=theServerSocket.accept();
			parent.close();
		}
		catch (IOException e) 
		{
            if (DEBUG)
			    System.err.println("IOException while waiting for someone to connect to the server socket "+e);
		}

		new chat(theSocket, request, true, 0);
	}
	
	public int getPort()
	{
		return ServerPort;
	}

}
