// package jtalk;

import javax.swing.*;
import java.io.*;

public class jtalk
{
    static public void main(String args[])
	{
	    try 
		{
		   UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} 
		catch (Exception e) 
		{ 
	    }
        boolean DEBUG=false;
        
        configurations theConfigurations=new configurations(DEBUG);
		theConfigurations.openConfigurationFile();
		if(theConfigurations.isValidConfigurationsFile())
		{
			DEBUG=((Boolean)theConfigurations.getData("Debug")).booleanValue();
			String debugFile=(String)theConfigurations.getData("Debug_File_Path");
			if (debugFile!=null && debugFile.length()>0)
			{
			    if (!debugFile.endsWith(File.separator))
			    {
			        debugFile+=File.separator;
			    }
			    try
			    {
  				       System.setErr(new PrintStream(new DataOutputStream(new FileOutputStream(debugFile+"jtalk.dbg", true)), true));
				       String str="STARTING ERROR LOG AT: "+ java.text.DateFormat.getDateTimeInstance().format(new java.util.Date());
				       System.err.println();
				       System.err.print("\t+--");
				       for (int i=0; i<str.length(); i++)
           			        System.err.print("-");
           			   System.err.println("--+");
		               System.err.println("\t|  "+str+"  |");
				       System.err.print("\t+--");
				       for (int i=0; i<str.length(); i++)
           			        System.err.print("-");
           			   System.err.println("--+");
			    }
			    catch (IOException e)
			    {
			    }
			}
		}
		else
		{
			DEBUG=constants.DEBUG;
		}
		theConfigurations.closeConfigurationFile();

    	JTalkGUI theJTalk=new JTalkGUI(DEBUG);
		if (args.length==1)
		{
			theJTalk.remoteUserJComboBox.setSelectedItem(args[0]);
			theJTalk.connect();
		}
	}

}