 // package jtalk;

import java.net.*;
import java.io.*;
import java.util.*;

public class chat implements Runnable
{
    public chat(Socket theSocket, ctl_msg request, boolean caller, int talkMode)
	{
    
        this.talkMode=talkMode;
		this.caller=caller;
		this.request=request;
		this.theSocket=theSocket;
		try
		{
			theOutputStream = theSocket.getOutputStream();
		  	theInputStream = theSocket.getInputStream();
		}
		catch (IOException e) 
		{
			System.err.println(e);
			return;
		}
        
		if(caller)	
			localUser=request.getCallerName()+"@"+request.getRemoteDNS();
		else
			localUser=request.getCalleeName()+"@"+getIPorDNS.getLocalDNS();
		if(caller)	
			remoteUser=request.getCalleeName()+"@"+getIPorDNS.getLocalDNS();
		else
			remoteUser=request.getCallerName()+"@"+request.getRemoteDNS();
		setInv();
        if ((talkMode==constants.TALK_MODE_ANSWER_MACHINE && !SHOW_ANSWER_MACHINE)
		|| talkMode==constants.TALK_MODE_FORTUNE)
		{
		}
		else
		{
            chatWindow=new ChatGUI(this);			
        }
        setupConnection();
        start();
	}

    
    String title=constants.JTALK_CHAT_TITLE;
	boolean pickedUpCall;
	static boolean DEBUG;
	String localUser, remoteUser;
    String MESSAGE_NORMAL;
	String MESSAGE_FORTUNE;
	String MESSAGE_ANSWER_MACHINE;
	int MAX_CHARS_PER_LINE;
	int NUM_OF_SPACES_PER_TAB;
	boolean WARP;
	boolean DELETE_PREVIOUSE_LINES;	
	boolean SHOW_ANSWER_MACHINE;
	String recievedBuffer="";
	
	Socket theSocket=null;
	ChatGUI chatWindow=null;
	InputStream theInputStream=null;
    OutputStream theOutputStream=null;
	boolean CONNECTED=false;
	int localCounter=0;
	int remoteCounter=0;
	byte theByte;
	byte[] localSpecialBytes=new byte[3];  
	byte[] remoteSpecialBytes={0, 0, 0};  
	Thread theThread;	
	ctl_msg request;
	boolean caller;
	int talkMode;
	
    static public void main(String args[])
	{
	    try 
		{
		    try 
		    {
		        javax.swing.UIManager.setLookAndFeel(javax.swing.UIManager.getSystemLookAndFeelClassName());
		    } 
		    catch (Exception e) 
		    { 
		    }
		    
		    configurations theConfigurations=new configurations(false);
		    theConfigurations.openConfigurationFile();
		    if(theConfigurations.isValidConfigurationsFile())
		    {
			    DEBUG=((Boolean)theConfigurations.getData("Debug")).booleanValue();
			    String debugFile=(String)theConfigurations.getData("Debug_File_Path");
			    if (debugFile!=null && debugFile.length()>0)
			    {
			        if (!debugFile.endsWith(File.separator))
			        {
    			        debugFile+=File.separator;
			        }
			        try
			        {
  				       System.setErr(new PrintStream(new DataOutputStream(new FileOutputStream(debugFile+"chat.dbg", true)), true));
				       String str="STARTING ERROR LOG AT: "+ java.text.DateFormat.getDateTimeInstance().format(new java.util.Date());
				       System.err.println();
				       System.err.print("\t+--");
				       for (int i=0; i<str.length(); i++)
           			        System.err.print("-");
           			   System.err.println("--+");
		               System.err.println("\t|  "+str+"  |");
				       System.err.print("\t+--");
				       for (int i=0; i<str.length(); i++)
           			        System.err.print("-");
           			   System.err.println("--+");
			        }
			        catch (IOException e)
			        {
			        }
			    }
		    }
		    else
		    {
			    DEBUG=constants.DEBUG;
		    }
		    theConfigurations.closeConfigurationFile();

		    if (args.length!=12)
			{
    			System.err.println("Wrong number of arguments");
			    System.exit(1);
			}
			ctl_msg request=new ctl_msg();
			int talkMode=0;
			try
			{
                int i=0;
                request.type=(byte)Integer.parseInt(args[i++]);
                request.id_num=Integer.parseInt(args[i++]);
		        request.addr=new osockaddr((char)Integer.parseInt(args[i++]), Integer.parseInt(args[i++]), (new Long(args[i++])).longValue());
		        request.ctl_addr=new osockaddr((char)Integer.parseInt(args[i++]), Integer.parseInt(args[i++]), (new Long(args[i++])).longValue());
        		request.pid=Integer.parseInt(args[i++]);
        		request.l_name=args[i++].getBytes();
        		request.r_name=args[i++].getBytes();
		        talkMode=Integer.parseInt(args[i++]);
			}
			catch(Exception e)
			{
    			System.err.println("Invalid command line parameters.");
			    System.exit(1);
            }
            Socket theSocket=null;
            try
		    {
    		    theSocket=new Socket(request.getRemoteDNS(), request.getCalleePortTCP());
		    }
		    catch (UnknownHostException e) 
            {	
            	System.err.println(e);
		        System.exit(1);
		    }
    		catch (IOException e) 
		    {
        	    System.err.println(e);
	    	    System.err.println("The tcp/ip port: "+request.getCalleePortTCP());
    		    System.exit(1);
		    }
            new chat(theSocket, request, false, talkMode);
	    } 
		catch (Throwable t) 
		{
			t.printStackTrace();
			//Ensure the application exits with an error condition.
			System.exit(1);
		}
	}

	public void setupConnection()
	{
	    int aByte;
		try
		{
			if (caller)
			{
				theOutputStream.write(localSpecialBytes);
			}
			aByte=theInputStream.read();
			if (aByte<0)
			{
				this.disconnected();
			}
			theByte=(byte)aByte;
			remoteSpecialBytes[0]=theByte;		
			theByte=(byte)theInputStream.read();
			remoteSpecialBytes[1]=theByte;		
			theByte=(byte)theInputStream.read();
			remoteSpecialBytes[2]=theByte;		
			if(!caller)
			{
				theOutputStream.write(localSpecialBytes);
			}
			CONNECTED=true;
			if (chatWindow!=null)
            {
                chatWindow.setTitle(title+" Status: Connected");
            }
			if (talkMode==constants.TALK_MODE_ANSWER_MACHINE)
			{
				byte[] theBytes=MESSAGE_ANSWER_MACHINE.getBytes();
                for (int i=0; i<theBytes.length; i++)
	            {
	                handleKeyTyped((int)theBytes[i]);
	            }
		
			}
			else if (talkMode==constants.TALK_MODE_FORTUNE)
			{
				theOutputStream.write(MESSAGE_FORTUNE.getBytes());
				String fortuneCookie="\n\r";
	            fortuneCookie+=(new fortune(DEBUG)).getMessage();
	            theOutputStream.write(fortuneCookie.getBytes());
				theOutputStream.flush();
				try
	    	    {
    	    		theInputStream.close();
			        theOutputStream.close();
		        }
		        catch(IOException e)
		        {
		        }
		        try
		        {
			        theSocket.close();
		        }
		        catch(IOException e)
		        {
			        System.err.println("Can't close socket "+e);
		        }
				System.exit(0);
			}
			else//if (talkMode==constants.TALK_MODE_NORMAL)
			{
        		byte[] theBytes=MESSAGE_NORMAL.getBytes();
                for (int i=0; i<theBytes.length; i++)
	            {
	                handleKeyTyped((int)theBytes[i]);
	            }
			}
		}
		catch (IOException e) 
		{
			System.err.println("JTALK WINDOW some error occured: "+e);
			this.disconnected();
		}
		pickedUpCall=false;
		
	}
	public void run()
	{	
	    int aByte;
		while (theThread!=null)
		{
			if(theSocket==null)
				this.disconnected();
			try
			{	
				aByte=theInputStream.read();
				if (aByte<0)
				{
					this.disconnected();
				}
				int times=1;
				if(aByte==java.awt.Event.TAB)
				{
					times=tabToSpaces(remoteCounter);
					aByte=(int)' ';
				}
				for (int cnt=0; cnt<times; cnt++)
				{
					if (chatWindow!=null)
					{
					    remoteCounter=printByte((byte)aByte, remoteSpecialBytes, chatWindow.EditorPaneTalkRemote, remoteCounter);
					}
					else
			        {
			            recievedBuffer+=(byte)aByte;
			        }
				}
			}
			catch (IOException e) 
			{
				this.disconnected();
			}
		}
	}
	
	public void stop()
	{
		if (theThread!=null)
		{
			theThread.stop();
			theThread=null;
		}
		try
		{
			theInputStream.close();
			theOutputStream.close();
		}
		catch(IOException e)
		{
		}
		try
		{
			theSocket.close();
		}
		catch(IOException e)
		{
			System.err.println("Can't close socket "+e);
		}
	}	
	
	public void start()
	{
		if (theThread==null)
		{
			theThread=new Thread(this);
			theThread.start();
		}
	}	
	
	public void disconnected()
	{
        if(talkMode==constants.TALK_MODE_ANSWER_MACHINE && !pickedUpCall)
		{
		    if(chatWindow!=null)
		    {
		        recievedBuffer=chatWindow.EditorPaneTalkRemote.getText();
		    }
		    answerMachine anAnswerMachine=new answerMachine(DEBUG);
			anAnswerMachine.saveMessage(remoteUser, recievedBuffer);
            System.exit(0);	
		}
		else
		{
		    CONNECTED=false;
    		if(chatWindow!=null)
		    {
		        chatWindow.setTitle(title+" Status: Disconnected");
		        chatWindow.EditorPaneTalkLocal.setEnabled(false);
		        chatWindow.EditorPaneTalkRemote.setEnabled(false);
		    }
		    this.stop();
		}
	}
	
	public int tabToSpaces(int counter)
	{
		return NUM_OF_SPACES_PER_TAB-counter%NUM_OF_SPACES_PER_TAB;
	}
	
	public void setInv()
	{
		configurations theConfigurations=new configurations(DEBUG);
		theConfigurations.openConfigurationFile();
	
	    if(!theConfigurations.isValidConfigurationsFile())
        {
			NUM_OF_SPACES_PER_TAB=constants.NUM_OF_SPACES_PER_TAB;
			MAX_CHARS_PER_LINE=constants.MAX_CHARS_PER_LINE;
			WARP=constants.WARP;
			DELETE_PREVIOUSE_LINES=constants.DELETE_PREVIOUSE_LINES;
			MESSAGE_ANSWER_MACHINE=constants.MESSAGE_ANSWER_MACHINE;
			MESSAGE_NORMAL=constants.MESSAGE_NORMAL;
			MESSAGE_FORTUNE=constants.MESSAGE_FORTUNE;
			SHOW_ANSWER_MACHINE=true;
			localSpecialBytes[0]=constants.BACKSPACE;
			localSpecialBytes[1]=constants.DELETE_WORD;
			localSpecialBytes[2]=constants.DELETE_LINE;
		}
		else
		{
			NUM_OF_SPACES_PER_TAB=((Integer)theConfigurations.getData("Edit_Number_Of_Spaces_Per_TAB")).intValue();
			MAX_CHARS_PER_LINE=((Integer)theConfigurations.getData("Edit_Wrap_Every")).intValue();
			WARP=((Boolean)theConfigurations.getData("Edit_Warp")).booleanValue();
			DELETE_PREVIOUSE_LINES=((Boolean)theConfigurations.getData("Edit_Delete_Previous_Lines")).booleanValue();
			MESSAGE_NORMAL=(String)theConfigurations.getData("Message_Normal");
			MESSAGE_ANSWER_MACHINE=(String)theConfigurations.getData("Message_Answer_Machine");
			MESSAGE_FORTUNE=(String)theConfigurations.getData("Message_Fortune");
            SHOW_ANSWER_MACHINE=((Boolean)theConfigurations.getData("Answer_Normal_Mode")).booleanValue();
			localSpecialBytes[0]=constants.BACKSPACE;
			localSpecialBytes[1]=((Byte)theConfigurations.getData("Edit_Delete_Word_Byte")).byteValue();
			localSpecialBytes[2]=((Byte)theConfigurations.getData("Edit_Delete_Line_Byte")).byteValue();
		}
		theConfigurations.closeConfigurationFile();
		
	}
	
	void handleKeyTyped(int key)
    {
        int times=1;
        if (CONNECTED)
		{
		    if (theSocket==null)
			{
    		    this.disconnected();
				return;
			}
			if (!pickedUpCall)
    		    pickedUpCall=true;
    		if(key== java.awt.event.KeyEvent.VK_TAB)
			{
    		    times=tabToSpaces(localCounter);
	    		key=java.awt.event.KeyEvent.VK_SPACE;
			}
			else if(key=='\r')
			    key='\n';
			else if(key==java.awt.event.KeyEvent.VK_DELETE)
			    key=java.awt.event.KeyEvent.VK_BACK_SPACE;
			for (int cnt=0; cnt<times; cnt++)
			{
			    if (chatWindow!=null)
			    {
			        localCounter=printByte((byte) key, localSpecialBytes, chatWindow.EditorPaneTalkLocal, localCounter);
			    }
			    try
				{		
    			    theOutputStream.write(key);
				}
				catch (IOException e)
				{
    			    this.disconnected();
					return;
				}
			}
			    return;            
		}
		return;
    }
    public int printByte(byte theByte, byte[] theSpecialBytes, javax.swing.JTextArea theTextArea, int theCounter)
	{
		if (theByte == theSpecialBytes[0]) //backspace
		{
			if (!theTextArea.getText().endsWith("\n"))
			{
				try
				{
					theTextArea.setText(theTextArea.getText().substring(0, theTextArea.getText().length()-1));
					theCounter--;
				}
				catch (StringIndexOutOfBoundsException e)
				{
				}
			}
			else if(DELETE_PREVIOUSE_LINES)
			{
				try
				{
					theTextArea.setText(theTextArea.getText().substring(0, theTextArea.getText().length()-1));
					theCounter=theTextArea.getText().length()-theTextArea.getText().lastIndexOf("\n");
				}
				catch (StringIndexOutOfBoundsException e)
				{
				}
			}
		}
		else if (theByte == theSpecialBytes[1])  //delete line
		{
			theTextArea.setText(theTextArea.getText().substring(0, theTextArea.getText().lastIndexOf("\n")+1));
			theCounter=0;
		}
		else if (theByte == theSpecialBytes[2]) //delete word
		{
			while (theCounter>0 &&  theTextArea.getText().endsWith(" "))
			{
				theCounter--;
				theTextArea.setText(theTextArea.getText().substring(0, theTextArea.getText().length()-1));
			}
			int lengthOfTheWord=theTextArea.getText().length()-theTextArea.getText().lastIndexOf(" ")-1;
			if (lengthOfTheWord <= theCounter) //word ends starts on last line
			{
				theTextArea.setText(theTextArea.getText().substring(0, theTextArea.getText().length()-lengthOfTheWord));
				theCounter-=lengthOfTheWord;
				
			}
			else
			{
//				theTextArea.setText(theTextArea.getText().substring(0, theTextArea.getText().lastIndexOf("\n")+1));
//				theCounter=0;
				theTextArea.setText(theTextArea.getText().substring(0, theTextArea.getText().length()-lengthOfTheWord));
				theCounter=theTextArea.getText().length()-theTextArea.getText().lastIndexOf("\n");
			}
		}	
		else if( theByte == ((int)'\n') || theByte == ((int)'\r'))
		{
			theTextArea.append("\n");			
			theCounter=0;	
		}
		else
		{
			if (WARP && theCounter==MAX_CHARS_PER_LINE)
			{
				theTextArea.append("\n");
				theCounter=0;
			}
			theTextArea.append(new Character((char)theByte).toString());			
			theCounter++;
		}
		return theCounter;
	}
}