// package jtalk;

import java.awt.*;

public class extendedFont
{
	private Font font;
	private Color foregroundColor;
	private Color backgroundColor;
	
	public extendedFont(Font font, Color foregroundColor, Color backgroundColor)
	{
		this.setFont(font);
		this.setForegroundColor(foregroundColor);
		this.setBackgroundColor(backgroundColor);
	}
	
	public String toString()
	{
	    return ("Font: "+this.font.toString()+"\nForeground: "+this.foregroundColor+"\nBackground: "+this.backgroundColor+"\n");
	}
	
	public void setFont(Font font)
	{
		this.font=new Font(font.getName(), font.getStyle(), font.getSize());
	}
	
	public void setForegroundColor(Color color)
	{
		this.foregroundColor=new Color(color.getRed(), color.getGreen(), color.getBlue());
	}
	
	public void setBackgroundColor(Color color)
	{
		this.backgroundColor=new Color(color.getRed(), color.getGreen(), color.getBlue());
	}
	
	public Font getFont()
	{
		return this.font;
	}
	
	public Color getForegroundColor()
	{
		return this.foregroundColor;
	}
	
	public Color getBackgroundColor()
	{
		return this.backgroundColor;
	}
	
}
