// package jtalk;


/** 16 bytes of direct address */
public class osockaddr
	{
		/** address family */
        public char family; 
		/** address port */
        public int port;  
		/** address dotless ip */
        public long ip;	   
		/** padding */
        public byte[] pad=new byte[8];
		
		public osockaddr()
		{
			this.family=constants.AF_INET;
		}
		
		public osockaddr(char family, int port, long ip)
		{
			this.family=family;
			this.port=port;
			this.ip=ip;
		}
		
		public osockaddr(byte[] bytes, int pointer)
		{
			ip=0;
			family=(char)(((bytes[pointer]<0)?bytes[pointer++]+256:bytes[pointer++])*256+((bytes[pointer]<0)?bytes[pointer++]+256:bytes[pointer++]));
			port=(((bytes[pointer]<0)?bytes[pointer++]+256:bytes[pointer++])*256+((bytes[pointer]<0)?bytes[pointer++]+256:bytes[pointer++]));
			for (double power=3; power>=0; power--, pointer++)
			{
				ip+=(((bytes[pointer]<0)?bytes[pointer]+256:bytes[pointer])*Math.pow(256, power));
			}
			System.arraycopy(bytes, pointer, pad, 0, 8);
	}
 }
